Issue with apt full-upgrade when upgrading to bullseye Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
AJRobson
Posts: 57
Joined: Fri Jan 08, 2021 2:23 pm

Issue with apt full-upgrade when upgrading to bullseye

Post by AJRobson »

I'm following this guide for the manual upgrade of Buster to Bullseye https://dietpi.com/blog/?p=811#2.2.3-upgrade-the-system so far everything's been fine but I'm now stuck at this section:

Code: Select all

dietpi-services stop
# NB: Type/paste the next 2 commands individually into the console!
apt upgrade
apt full-upgrade
/boot/dietpi/func/dietpi-obtain_hw_model
. /boot/dietpi/func/dietpi-globals
I stopped the services and did the upgrade but I'm a bit stuck with the full-upgrade command, does it need to be all one line? If I do this

Code: Select all

apt full-upgrade /boot/dietpi/func/dietpi-obtain_hw_model . /boot/dietpi/func/dietpi-globals
I get:

Code: Select all

Reading package lists... Done
E: Unsupported file /boot/dietpi/func/dietpi-obtain_hw_model given on commandline
E: Unsupported file . given on commandline
E: Unsupported file /boot/dietpi/func/dietpi-globals given on commandline
root@DietPi:/#
If I try it on multiple lines like in the guide it runs apt full-upgrade alone and I end up with

Code: Select all

root@DietPi:/# apt full-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Error!
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libc6-dev : Breaks: libgcc-8-dev (< 8.4.0-2~) but 8.3.0-6+rpi1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
root@DietPi:/# /boot/dietpi/func/dietpi-obtain_hw_model
root@DietPi:/# . /boot/dietpi/func/dietpi-globals
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by Joulinar »

pls copy commands one by one and not all of them together.

to fix issue with apt full-upgrade, try following

apt install gcc-8-base
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
AJRobson
Posts: 57
Joined: Fri Jan 08, 2021 2:23 pm

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by AJRobson »

so should it just be:

apt full-upgrade
*wait for that to finish*
/boot/dietpi/func/dietpi-obtain_hw_model
*wait for that to finish*
. /boot/dietpi/func/dietpi-globals
*wait for that to finish*
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by Joulinar »

yes, as well I updated my post above.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
AJRobson
Posts: 57
Joined: Fri Jan 08, 2021 2:23 pm

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by AJRobson »

Thanks, installing gcc8 seems to have fixed it, I'll carry on with the upgrade steps now.

Random question what do these two lines actually do?
/boot/dietpi/func/dietpi-obtain_hw_model
. /boot/dietpi/func/dietpi-globals

Running them separately doesn't give me any feedback.
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by Joulinar »

Random question what do these two lines actually do?
/boot/dietpi/func/dietpi-obtain_hw_model
. /boot/dietpi/func/dietpi-globals

Running them separately doesn't give me any feedback.
That's totally fine. They just load the new configuration details for our scripts.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
AJRobson
Posts: 57
Joined: Fri Jan 08, 2021 2:23 pm

Re: Issue with apt full-upgrade when upgrading to bullseye

Post by AJRobson »

Thanks for the info and your help :D
Post Reply